_alpm_question_select_provider_t(3)

NAME
_alpm_question_select_provider_t -

SYNOPSIS

  Data Fields
alpm_question_type_t type
Type of question.
int use_index
Answer: which provider to use (index from providers).
alpm_list_t * providers
List of alpm_pkg_t* as possible providers.
alpm_depend_t * depend
What providers provide for.

Field Documentation

  alpm_depend_t* _alpm_question_select_provider_t::depend

What providers provide for.

  alpm_list_t* _alpm_question_select_provider_t::providers

List of alpm_pkg_t* as possible providers.

  alpm_question_type_t _alpm_question_select_provider_t::type

Type of question.

Referenced by alpm_dep_from_string().

  int _alpm_question_select_provider_t::use_index

Answer: which provider to use (index from providers).

Referenced by alpm_dep_from_string().

Author

Generated automatically by Doxygen for libalpm from the source code.